# ifndef TestTestPosition_h
# define TestTestPosition_h
#include "TestHeader.h"
# include <TestData/TestPosition.h>
class TestTestPosition:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( TestTestPosition );
  CPPUNIT_TEST( construction );
  CPPUNIT_TEST( search );
  CPPUNIT_TEST( testReadEPD );
  CPPUNIT_TEST( testWriteEPD );
  CPPUNIT_TEST( testFromGame );
  CPPUNIT_TEST( testGetOperand );
  CPPUNIT_TEST( testSetOperand );
  CPPUNIT_TEST_SUITE_END();
protected:
  void construction();
  void search();
  void testReadEPD();
  void testWriteEPD();
  void testFromGame();
  void testGetOperand();
  void testSetOperand();
};
#endif // TestTestPosition_h
